package dmillerw.menu.data.click;

import dmillerw.menu.network.PacketHandler;
import dmillerw.menu.network.packet.server.PacketUseItem;
import net.minecraft.client.Minecraft;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraft.util.EnumHand;

import javax.annotation.Nonnull;

public class ClickActionUseItem implements ClickAction.IClickAction {
    @Nonnull
    public final ItemStack stack;

    public ClickActionUseItem(@Nonnull ItemStack stack) {
        this.stack = stack;
    }

    @Override
    public ClickAction getClickAction() {
        return ClickAction.ITEM_USE;
    }

    @Override
    public void onClicked() {
        Minecraft mc = Minecraft.func_71410_x();
        EntityPlayer player = mc.field_71439_g;

        for (int i = 0; i < player.field_71071_by.func_70302_i_(); i++) {
            ItemStack stack = player.field_71071_by.func_70301_a(i);

            if (!stack.func_190926_b() && this.stack.func_77969_a(stack)) {
                stack.func_77957_a(player.field_70170_p, player, EnumHand.MAIN_HAND);
                PacketHandler.INSTANCE.sendToServer(new PacketUseItem(i));
            }
        }
    }

    @Override
    public void onRemoved() {
    }
}
